# Calendar event add

An action block that adds an event to a calendar.

The fiber will proceed immediately without pause.

If both the begin timestamp and end timestamp are at midnights the event becomes an “all day” event. By default, the Calendar app always adds a reminder, so does the Google Calendar website. So, adding a reminder with this block may result in multiple reminders.

An custom color may not be permitted, if not, the best matching of available colors is used instead.

Privacy warning! Invitations may be sent to attendees of the created event.

## Input arguments

- Calendar URI — URI of the calendar.
- Start timestamp — unix timestamp when the event begins, default is current time.
- End timestamp — unix timestamp when the event ends, default is 1 hours after start.
- Time zone — time zone of the start and end timestamps, default is the current time zone.
- Title — event title.
- Description — event description.
- Location name — location of event.
- Attendees — e-mail addresses of attendees, invitation may be sent.
- Color — color for the event, default is calendar color.
- Availability — your availability during the event.
- Privacy — privacy of event.
- Reminder method — method of event reminder, default is no reminder.
- Reminder period — time before event the reminder is made.

## Output variables

- Created Event URI — URI of created event.